org.hibernate.validator.internal.engine.messageinterpolation.el

## Class RootResolver

- java.lang.Object
- - javax.el.ELResolver
  - - org.hibernate.validator.internal.engine.messageinterpolation.el.RootResolver

-     public class RootResolver
      extends ELResolver

  Author:
    Hardy Ferentschik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FORMATTER` Name under which to bind a formatter to the EL context.

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getCommonPropertyType(ELContext context, Object base)`
    `Iterator<FeatureDescriptor>` | `getFeatureDescriptors(ELContext context, Object base)`
    `Class<?>` | `getType(ELContext context, Object base, Object property)`
    `Object` | `getValue(ELContext context, Object base, Object property)`
    `Object` | `invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)`
    `boolean` | `isReadOnly(ELContext context, Object base, Object property)`
    `void` | `setValue(ELContext context, Object base, Object property, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMATTER

          public static final String FORMATTER

      Name under which to bind a formatter to the EL context.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RootResolver

          public RootResolver()

  - ### Method Detail

    - #### getCommonPropertyType

          public Class<?> getCommonPropertyType(ELContext context,
                                       Object base)

      Specified by:
        `getCommonPropertyType` in class `ELResolver`

    - #### getFeatureDescriptors

          public Iterator<FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                          Object base)

      Specified by:
        `getFeatureDescriptors` in class `ELResolver`

    - #### getType

          public Class<?> getType(ELContext context,
                         Object base,
                         Object property)

      Specified by:
        `getType` in class `ELResolver`

    - #### getValue

          public Object getValue(ELContext context,
                        Object base,
                        Object property)

      Specified by:
        `getValue` in class `ELResolver`

    - #### isReadOnly

          public boolean isReadOnly(ELContext context,
                           Object base,
                           Object property)

      Specified by:
        `isReadOnly` in class `ELResolver`

    - #### setValue

          public void setValue(ELContext context,
                      Object base,
                      Object property,
                      Object value)

      Specified by:
        `setValue` in class `ELResolver`

    - #### invoke

          public Object invoke(ELContext context,
                      Object base,
                      Object method,
                      Class<?>[] paramTypes,
                      Object[] params)

      Overrides:
        `invoke` in class `ELResolver`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved